<template>
  <v-dialog v-model="dialog" persistent max-width="290">
    <v-card>
      <v-card-title class="headline error--text">Error</v-card-title>
      <v-card-text>
        {{error}}
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="error" text @click="$emit('close-dialog')">
          Close
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  title: 'error dialog',
  props: {
    error: String,
    dialog: Boolean,
  },
};
</script>
